Deprecated | Add or update audience member
Deprecation notice: this endpoint has been deprecated in favor of the top-level api/v2/audience endpoint, which allows developers to manage audience members across an entire organization. This endpoint will remain available, but its features will stay limited.
You can add a new or update an existing subscriber with an email address - in a limited fashion. Right now, we only let you change their subscription status and name, but we will introduce new properties soon. Please let us know what you’d like to see.
Note: the /subscribers example below can be used as an alias to /audience . You may have seen references to such an endpoint. It still exists in v2, we just prefer to use a more general “audience” term to reflect people who might not technically be subscribers to a newsletter.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Request Body
Section titled “Request Body ”object
Your subscriber’s subscription status is represented by a number (we know, not super intuitive …). Our api will reject attempts to subscribe a person who has been unsubscribed or bounced.
| Status | Value |
|---|---|
| Not subscribed | 0 |
| Subscribed | 1 |
| Unsubscribed | 2 |
| Bounced | 3 |
| Pending confirmation | 4 |
Example
0The full, qualified email address of your new or existing subscriber. We use this to identify them: if we can’t find a match, we’ll add your person; otherwise, we’ll update them - everything but the email itself.
Example
Your subscriber’s name. You can pass an empty value, but you must pass the key.
Example
Noodle the Pug IIResponses
Section titled “ Responses ”Update existing / Update existing - “subscribers” endpoint
Examples
{ "channelSubscriberStatus": 0, "email": "[email protected]", "name": "Noodle the Pug II", "updatedAt": "2021-10-21 01:54:20",}{ "channelSubscriberStatus": 0, "email": "[email protected]", "name": "Noodle the Pug II", "updatedAt": "2021-10-21 01:54:20",}Headers
Section titled “Headers ”Example
trueExample
*Example
86400Example
no-cache, privateExample
keep-aliveExample
Thu, 21 Oct 2021 01:54:20 GMTExample
nginx/1.14.0 (Ubuntu)Example
chunkedAdding new
Examples
{ "channelSubscriberStatus": 4, "createdAt": "2021-10-21 01:51:30", "email": "[email protected]", "name": "Noodle the Pug", "updatedAt": "2021-10-21 01:51:30",}Headers
Section titled “Headers ”Example
trueExample
*Example
86400Example
no-cache, privateExample
keep-aliveExample
Thu, 21 Oct 2021 01:51:30 GMTExample
nginx/1.14.0 (Ubuntu)Example
chunkedStill can’t find what you need? Contact support.